<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE struts PUBLIC
        "-//Apache Software Foundation//DTD Struts Configuration 2.0//EN"
        "http://struts.apache.org/dtds/struts-2.0.dtd">

<struts>
     <package name="general" extends="generalAuxiliary">



         <action name="checkDeviceStatus"    class="fwUpgradeAction" method="checkStatus">
             <result name="success" type="stream">
                 <param name="contentType">text/html</param>
                 <param name="inputName">result</param>
             </result>
              <result name="error" type="stream">
                 <param name="contentType">text/html</param>
                 <param name="inputName">result</param>
             </result>
             <result name="input" type="stream">
                 <param name="contentType">text/html</param>
                 <param name="inputName">result</param>
             </result>
         </action>


         <action name="getChangedValues" class="getChangedValuesAction">
             <result name="success">/pages/changedData.jsp </result>
             <result name="error" type="redirect">ajaxError.action</result>
         </action>

        <action name="viewSpecificInfo" class="viewSpecificInfoAction">
             <result name="success">/pages/viewInfo.jsp</result>

        </action>

         <action name="topology" class="topology" method="view">
             <result name="success" type="tiles">topology.view</result>
             <result name="error" type="redirect" >error.action</result>
         </action>

         <action name="logout" class="logoutAction" >
             <result name="success" type="redirect" >main.action</result>
         </action>

         <action name="setDefValueForParam" class="setDefValueForParamAction">
            <result name="success" type="stream">
                <param name="contentType">text/html</param>
                <param name="inputName">result</param>
            </result>
            <result name="error" type="stream">
                <param name="contentType">text/html</param>
                <param name="inputName">result</param>
            </result>
             <!--<result name="error" type="redirect">error.action</result>-->
         </action>

         <action name="savePassword" class="changePassword" method="savePassword">
            <result name="success" type="stream">
                <param name="contentType">text/html</param>
                <param name="inputName">result</param>
            </result>
         </action>



         <action name="reboot" class="rebootAction">
            <result name="success" type="stream">
                <param name="contentType">text/html</param>
                <param name="inputName">result</param>
            </result>
            <result name="error" type="stream">
                <param name="contentType">text/html</param>
                <param name="inputName">result</param>
            </result>
         </action>
    </package>
     <package name="json" extends="json-default" >

        <action name="setDefValuesForManyParam" class="setDefValuesForManyParamAction">
            <result name="success" type="stream">
                <param name="contentType">text/html</param>
                <param name="inputName">result</param>
            </result>
            <result name="error" type="stream">
                <param name="contentType">text/html</param>
                <param name="inputName">result</param>
            </result>
        </action>

        <action name="checkUsername" class="RegistrationAction" method="checkUsername" >
               <result type="json"/>
        </action>

        <action name="checkPassword" class="RegistrationAction"  method="checkPassWord">
               <result type="json"/>
        </action>

        <action name="checkEmail" class="RegistrationAction" method="checkEmail">
            <result type="json" />
        </action>

        <action name="changeProfile" class="changeProfileAction" method="changeOthers">
              <result type="json" />
        </action>

        <action name="changePassword" class="changeProfileAction" method="changePassword">
             <result type="json"/>
        </action>

        <action name="checkOldPassword" class="changeProfileAction" method="checkOldPassword">
             <result type="json"/>
        </action>

        <action name="toChangePasswordFirst" class="toChangePasswordAction">
             <result type="json"/>
         </action>

         <action name="checkChangesApplied" class="checkChangesAppliedAction">
             <result type="json" />
         </action>
     </package>


</struts>